<!-- prettier-ignore-start -->
# Class URLRedirect

- [TopLevel.Object](TopLevel.Object.md)
  - [dw.web.URLRedirect](dw.web.URLRedirect.md)

Represents a URLRedirect in Commerce Cloud Digital.


## Property Summary

| Property | Description |
| --- | --- |
| [location](#location): [String](TopLevel.String.md) `(read-only)` | Returns the URL which was calculated to be the redirect URL. |
| [status](#status): [Number](TopLevel.Number.md) `(read-only)` | Returns the corresponding status code for the redirect location. |

## Constructor Summary

This class does not have a constructor, so you cannot create it directly.
## Method Summary

| Method | Description |
| --- | --- |
| [getLocation](dw.web.URLRedirect.md#getlocation)() | Returns the URL which was calculated to be the redirect URL. |
| [getStatus](dw.web.URLRedirect.md#getstatus)() | Returns the corresponding status code for the redirect location. |

### Methods inherited from class Object

[assign](TopLevel.Object.md#assignobject-object), [create](TopLevel.Object.md#createobject), [create](TopLevel.Object.md#createobject-object), [defineProperties](TopLevel.Object.md#definepropertiesobject-object), [defineProperty](TopLevel.Object.md#definepropertyobject-object-object), [entries](TopLevel.Object.md#entriesobject), [freeze](TopLevel.Object.md#freezeobject), [fromEntries](TopLevel.Object.md#fromentriesiterable), [getOwnPropertyDescriptor](TopLevel.Object.md#getownpropertydescriptorobject-object), [getOwnPropertyNames](TopLevel.Object.md#getownpropertynamesobject), [getOwnPropertySymbols](TopLevel.Object.md#getownpropertysymbolsobject), [getPrototypeOf](TopLevel.Object.md#getprototypeofobject), [hasOwnProperty](TopLevel.Object.md#hasownpropertystring), [is](TopLevel.Object.md#isobject-object), [isExtensible](TopLevel.Object.md#isextensibleobject), [isFrozen](TopLevel.Object.md#isfrozenobject), [isPrototypeOf](TopLevel.Object.md#isprototypeofobject), [isSealed](TopLevel.Object.md#issealedobject), [keys](TopLevel.Object.md#keysobject), [preventExtensions](TopLevel.Object.md#preventextensionsobject), [propertyIsEnumerable](TopLevel.Object.md#propertyisenumerablestring), [seal](TopLevel.Object.md#sealobject), [setPrototypeOf](TopLevel.Object.md#setprototypeofobject-object), [toLocaleString](TopLevel.Object.md#tolocalestring), [toString](TopLevel.Object.md#tostring), [valueOf](TopLevel.Object.md#valueof), [values](TopLevel.Object.md#valuesobject)
## Property Details

### location
- location: [String](TopLevel.String.md) `(read-only)`
  - : Returns the URL which was calculated to be the redirect URL.
      The Location parameter can be directly used as value for an redirect location.



---

### status
- status: [Number](TopLevel.Number.md) `(read-only)`
  - : Returns the corresponding status code for the redirect location.


---

## Method Details

### getLocation()
- getLocation(): [String](TopLevel.String.md)
  - : Returns the URL which was calculated to be the redirect URL.
      The Location parameter can be directly used as value for an redirect location.


    **Returns:**
    - redirect location


---

### getStatus()
- getStatus(): [Number](TopLevel.Number.md)
  - : Returns the corresponding status code for the redirect location.

    **Returns:**
    - status code


---

<!-- prettier-ignore-end -->
